Package org.apache.jmeter.report.processor

# Class PercentileAggregator

java.lang.Object
org.apache.jmeter.report.processor.PercentileAggregator

All Implemented Interfaces:
  `Aggregator`

public class PercentileAggregator extends Object implements Aggregator
The class PercentileAggregator is used to get percentile from samples.

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PercentileAggregator(double index)`
  Instantiates a new percentile aggregator.
  `PercentileAggregator(PercentileAggregator lastAggregator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addValue(double value)`
  Adds the specified value to the storage of the current aggregator.
  `long`
  `getCount()`
  Gets the number of aggregated values.
  `double`
  `getResult()`
  Gets the result of the aggregation using stored values.
  `void`
  `reset()`
  Reset the state of the aggregator.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PercentileAggregator

    public PercentileAggregator(double index)
    Instantiates a new percentile aggregator.
    Parameters:
      `index` - the index of the percentile

  - ### PercentileAggregator

    public PercentileAggregator(PercentileAggregator lastAggregator)
    Parameters:
      `lastAggregator` - `PercentileAggregator`

- ## Method Details

  - ### getCount

    public long getCount()
    Description copied from interface: `Aggregator`
    Gets the number of aggregated values.
    Specified by:
      `getCount` in interface `Aggregator`
    Returns:
      the number of aggregated values

  - ### getResult

    public double getResult()
    Description copied from interface: `Aggregator`
    Gets the result of the aggregation using stored values.
    Specified by:
      `getResult` in interface `Aggregator`
    Returns:
      the result of the aggregation.

  - ### addValue

    public void addValue(double value)
    Description copied from interface: `Aggregator`
    Adds the specified value to the storage of the current aggregator.
    Specified by:
      `addValue` in interface `Aggregator`
    Parameters:
      `value` - the value to aggregate

  - ### reset

    public void reset()
    Description copied from interface: `Aggregator`
    Reset the state of the aggregator.
    Specified by:
      `reset` in interface `Aggregator`